Emerging Issues - Get
Gets Azure services' emerging issues.
GET https://management.azure.com/providers/Microsoft.ResourceHealth/emergingIssues/default?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
issue
|
path | True |
The name of the emerging issue. |
|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetEmergingIssues
Sample request
GET https://management.azure.com/providers/Microsoft.ResourceHealth/emergingIssues/default?api-version=2025-05-01
Sample response
{
"name": "default",
"type": "/providers/Microsoft.ResourceHealth/emergingissues",
"id": "/providers/Microsoft.ResourceHealth/emergingissues/default",
"properties": {
"refreshTimestamp": "2019-12-17T09:12:00Z",
"statusActiveEvents": [
{
"description": "Virtual Machines case",
"cloud": "Public",
"impacts": [
{
"name": "Virtual Machines",
"id": "virtual-machines",
"regions": [
{
"name": "Central US",
"id": "us-central"
},
{
"name": "East US",
"id": "us-east"
}
]
}
],
"lastModifiedTime": "2019-12-15T08:10:00Z",
"published": true,
"severity": "Information",
"stage": "Active",
"startTime": "2019-12-15T08:06:00Z",
"title": "Automatic updates to the dial tone page from ACM - SHD event",
"trackingId": "KTTK-TZ8"
},
{
"description": "All Azure SQL service management requests (create, update, delete, etc.) are serviced through the SQL Control Plane infrastructure. Engineers determined that during this issue, the control plane service became unhealthy after receiving a significant increase in internally generated operations and reaching an operational threshold. This led to service management requests becoming unable to complete, which in-turn resulted in timeouts and throttling. Subsequent investigation by engineers determined this issue was due service requests from an internal Azure group that triggered a bug which caused an excessive number of internally generated operations.",
"cloud": "Public",
"impacts": [
{
"name": "SQL Database",
"id": "sql-database",
"regions": [
{
"name": "West Europe",
"id": "europe-west"
}
]
}
],
"lastModifiedTime": "2019-12-16T05:11:00Z",
"published": true,
"severity": "Error",
"stage": "Active",
"startTime": "2019-12-16T05:11:00Z",
"title": "Azure SQL Database - West Europe",
"trackingId": "4KHK-LS8"
}
],
"statusBanners": [
{
"cloud": "Public",
"lastModifiedTime": "2019-12-15T08:04:00Z",
"message": "Testing backup site",
"title": "Automatic updates to the dial tone page from ACM - banner"
},
{
"cloud": "Public",
"lastModifiedTime": "2019-12-15T10:15:00Z",
"message": "<span style=\"color: #323237; font-family: "Segoe UI", SegoeUI, "Segoe WP", Tahoma, Arial, sans-serif; font-size: 16px; background-color: #ffffff\">A subset of customers using Storage in West Europe experienced service availability issues. In addition, resources with dependencies on the impacted storage scale units may have experienced downstream impact in the form of availability issues, connection failures, or high latency. Engineers are investigating the root cause.</span>",
"title": "Storage - West Europe"
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
emerging |
Object of the emerging issue impact on services and regions. |
|
emerging |
The Get EmergingIssues operation response. |
|
Error |
Error details. |
|
impacted |
Object of impacted region. |
|
Issue |
The name of the emerging issue. |
|
Severity |
The severity level of this active event. |
|
Stage |
The stage of this active event. |
|
status |
Active event type of emerging issue. |
|
status |
Banner type of emerging issue. |
emergingIssueImpact
Object of the emerging issue impact on services and regions.
| Name | Type | Description |
|---|---|---|
| id |
string |
The impacted service id. |
| name |
string |
The impacted service name. |
| regions |
The list of impacted regions for corresponding emerging issues. |
emergingIssuesGetResult
The Get EmergingIssues operation response.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Azure Resource Manager Identity for the availabilityStatuses resource. |
| location |
string |
Azure Resource Manager geo location of the resource. |
| name |
string |
|
| properties.refreshTimestamp |
string (date-time) |
Timestamp for when last time refreshed for ongoing emerging issue. |
| properties.statusActiveEvents |
The list of emerging issues of active event type. |
|
| properties.statusBanners |
The list of emerging issues of banner type. |
|
| type |
string |
Microsoft.ResourceHealth/AvailabilityStatuses. |
ErrorResponse
Error details.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
string |
The error details. |
| message |
string |
The error message. |
impactedRegion
Object of impacted region.
| Name | Type | Description |
|---|---|---|
| id |
string |
The impacted region id. |
| name |
string |
The impacted region name. |
IssueNameParameter
The name of the emerging issue.
| Value | Description |
|---|---|
| default |
default |
SeverityValues
The severity level of this active event.
| Value | Description |
|---|---|
| Information |
Information |
| Warning |
Warning |
| Error |
Error |
StageValues
The stage of this active event.
| Value | Description |
|---|---|
| Active |
Active |
| Resolve |
Resolve |
| Archived |
Archived |
statusActiveEvent
Active event type of emerging issue.
| Name | Type | Description |
|---|---|---|
| cloud |
string |
The cloud type of this active event. |
| description |
string |
The details of active event. |
| impacts |
The list of emerging issues impacts. |
|
| lastModifiedTime |
string (date-time) |
The last time modified on this banner. |
| published |
boolean |
The boolean value of this active event if published or not. |
| severity |
The severity level of this active event. |
|
| stage |
The stage of this active event. |
|
| startTime |
string (date-time) |
The impact start time on this active event. |
| title |
string |
The active event title. |
| trackingId |
string |
The tracking id of this active event. |
statusBanner
Banner type of emerging issue.
| Name | Type | Description |
|---|---|---|
| cloud |
string |
The cloud type of this banner. |
| lastModifiedTime |
string (date-time) |
The last time modified on this banner. |
| message |
string |
The details of banner. |
| title |
string |
The banner title. |